;* ---------------------------------------------------------------------- *)
;*                _____ ______        __          __ _                    *)
;*               |_   _|  _ \ \      / /__  ___  / _| |_                  *)
;*                 | | | | | \ \ /\ / / __|/ _ \| |_| __|                 *)
;*                 | | | |_| |\ V  V /\__ \ (_) |  _| |_                  *)
;*                 |_| |____/  \_/\_/ |___/\___/|_|  \__|                 *)
;*                 GmbH                  www.tdwsoft.com                  *)
;* ---------------------------------------------------------------------- *)
;*                            TDWsoft GmbH                                *)
;*                   IT-Dienstleistung und Software                       *)
;* ---------------------------------------------------------------------- *)
;*                        F A C E  E L E M E N T S                        *)
;* ---------------------------------------------------------------------- *)
;*                          CONTACT ADDRESS                               *)
;*                                                                        *)
;* TDWsoft GmbH                   Tel <Zentrale>: +49 (0)721 2045560      *)
;* Jahnstrae 9                   Fax <Zentrale>: +49 (0)721 2045559      *)
;* D-76689 Karlsdorf-Neuthard     Internet: www.tdwsoft.com               *)
;*                                eMail: info@tdwsoft.de                  *)
;* ---------------------------------------------------------------------- *)

( IN-PACKAGE :FACE-ELEMENTS )
( USE-PACKAGE :OLI )

( SD-DEFINE-AVAILABLE-COMMAND "Annotation" "FACE-Elements" ( FORMAT NIL "~A [PASS]" ( tdwsoft-read-text 12 "Lesen" "face-pass-message-table" ))
   :groupTitle      "FACE-Elements"
   :commandTitle    ( FORMAT NIL "~A [PASS]" ( tdwsoft-read-text 12 "Lesen" "face-pass-message-table" ))
   :action          "(OLI:SD-CALL-DIALOG 'pass-get-tolerances )"
   :description     ( tdwsoft-read-text 33 "Passungstabelle aus der Zeichnung erstellen." "face-pass-message-table" )
   :IMAGE            "face-elements/apps/pass/list_scan"
   :enable           DOCU::*DOCU-DRAWING-IS-LOADED*
   :ui-behavior     :DEFAULT
)

( SD-DEFINE-AVAILABLE-COMMAND "Annotation" "FACE-Elements" ( FORMAT NIL "~A [PASS]" ( tdwsoft-read-text 31 "Passungstabelle" "face-pass-message-table" ))
   :groupTitle      "FACE-Elements"
   :commandTitle    ( FORMAT NIL "~A [PASS]" ( tdwsoft-read-text 31 "Passungstabelle" "face-pass-message-table" ))
   :action          "(OLI:SD-CALL-DIALOG  'pass-table-draw )"
   :description     ( tdwsoft-read-text 35 "Passungstabelle in der Zeichnung absetzen" "face-pass-message-table" )
   :image           "face-elements/apps/pass/list_draw"
   :enable           DOCU::*DOCU-DRAWING-IS-LOADED*
   :ui-behavior     :DEFAULT
)

( SD-DEFINE-AVAILABLE-COMMAND "Annotation" "FACE-Elements" ( FORMAT NIL "~A [PASS]" ( tdwsoft-read-text 37 "Passungstabelle Vorgaben" "face-pass-message-table" )) 
    :GROUPTITLE "FACE-Elements"
	:COMMANDTITLE ( FORMAT NIL "~A [PASS]" ( tdwsoft-read-text 37 "Passungstabelle Vorgaben" "face-pass-message-table" )) 
	:ACTION "(OLI::SD-CALL-DIALOG 'pass-settings )"
	:IMAGE  "face-elements/apps/pass/settings"
	:DESCRIPTION ( tdwsoft-read-text 36 "Vorgaben der Passungstabelle" "face-pass-message-table" )
	:ENABLE DOCU::*DOCU-DRAWING-IS-LOADED*
    :ui-behavior  :DEFAULT	
)

( SD-DEFINE-AVAILABLE-COMMAND "SolidDesigner" "FACE-Elements" ( FORMAT NIL "~A [PASS]" ( tdwsoft-read-text 37 "Passungstabelle Vorgaben" "face-pass-message-table" )) 
    :GROUPTITLE "FACE-Elements"
	:COMMANDTITLE ( FORMAT NIL "~A [PASS]" ( tdwsoft-read-text 37 "Passungstabelle Vorgaben" "face-pass-message-table" )) 
	:ACTION "(OLI::SD-CALL-DIALOG 'pass-settings )"
	:IMAGE  "face-elements/apps/pass/settings"
	:DESCRIPTION ( tdwsoft-read-text 36 "Vorgaben der Passungstabelle" "face-pass-message-table" )
	:ENABLE DOCU::*DOCU-DRAWING-IS-LOADED*
    :ui-behavior  :DEFAULT	
)

