;* ---------------------------------------------------------------------- *)
;*                _____ ______        __          __ _                    *)
;*               |_   _|  _ \ \      / /__  ___  / _| |_                  *)
;*                 | | | | | \ \ /\ / / __|/ _ \| |_| __|                 *)
;*                 | | | |_| |\ V  V /\__ \ (_) |  _| |_                  *)
;*                 |_| |____/  \_/\_/ |___/\___/|_|  \__|                 *)
;*                 GmbH                  www.tdwsoft.com                  *)
;* ---------------------------------------------------------------------- *)
;*                            TDWsoft GmbH                                *)
;*                   IT-Dienstleistung und Software                       *)
;* ---------------------------------------------------------------------- *)
;*                        F A C E  E L E M E N T S                        *)
;* ---------------------------------------------------------------------- *)
;*                          CONTACT ADDRESS                               *)
;*                                                                        *)
;* TDWsoft GmbH                   Tel <Zentrale>: +49 (0)721 2045560      *)
;* Jahnstrae 9                   Fax <Zentrale>: +49 (0)721 2045559      *)
;* D-76689 Karlsdorf-Neuthard     Internet: www.tdwsoft.com               *)
;*                                eMail: info@tdwsoft.de                  *)
;* ---------------------------------------------------------------------- *)

( IN-PACKAGE :FACE-ELEMENTS )
( USE-PACKAGE :OLI )

( WHEN ( Face-elements-tab2d-p )	
   
	( oli::sd-fluentui-add-ribbon-group "AMFACEPASS"
								  :parent "AMFACEELEMENTS"
								  :annotationRibbon t
								  :title ( OLI::SD-MULTI-LANG-STRING "Passtable" :GERMAN "Passungstabelle" )
								  :slot 0
								  :launchButtonAvailCmd ( LIST "Annotation" "FACE-Elements" ( FORMAT NIL "~A [PASS]" ( tdwsoft-read-text 37 "Passungstabelle Vorgaben" "face-pass-message-table" )))
	)

		( oli::sd-fluentui-add-ribbon-button
		  :annotationRibbon T
		  :parent '( "AMFACEELEMENTS" "AMFACEPASS" )
		  :LABEL ( FACE-ELEMENTS::tdwsoft-read-text 12 "Lesen" "face-pass-message-table" )
		  :availCmd ( LIST "Annotation" "FACE-Elements" ( FORMAT NIL "~A [PASS]" ( FACE-ELEMENTS::tdwsoft-read-text 12 "Lesen" "face-pass-message-table" ) ))
		)

		( oli::sd-fluentui-add-ribbon-button
		  :annotationRibbon T
		  :parent '( "AMFACEELEMENTS" "AMFACEPASS" )
		  :LABEL ( FACE-ELEMENTS::tdwsoft-read-text 31 "Passungstabelle" "face-pass-message-table" )
		  :availCmd ( LIST "Annotation" "FACE-Elements" ( FORMAT NIL "~A [PASS]" ( FACE-ELEMENTS::tdwsoft-read-text 31 "Passungstabelle" "face-pass-message-table" )))
		)
)