;* ---------------------------------------------------------------------- *)
;*                _____ ______        __          __ _                    *)
;*               |_   _|  _ \ \      / /__  ___  / _| |_                  *)
;*                 | | | | | \ \ /\ / / __|/ _ \| |_| __|                 *)
;*                 | | | |_| |\ V  V /\__ \ (_) |  _| |_                  *)
;*                 |_| |____/  \_/\_/ |___/\___/|_|  \__|                 *)
;*                 GmbH                  www.tdwsoft.com                  *)
;* ---------------------------------------------------------------------- *)
;*                            TDWsoft GmbH                                *)
;*                   IT-Dienstleistung und Software                       *)
;* ---------------------------------------------------------------------- *)
;*                        F A C E  E L E M E N T S                        *)
;* ---------------------------------------------------------------------- *)
;*                          CONTACT ADDRESS                               *)
;*                                                                        *)
;* TDWsoft GmbH                   Tel <Zentrale>: +49 (0)721 2045560      *)
;* Jahnstrae 9                   Fax <Zentrale>: +49 (0)721 2045559      *)
;* D-76689 Karlsdorf-Neuthard     Internet: www.tdwsoft.com               *)
;*                                eMail: info@tdwsoft.de                  *)
;* ---------------------------------------------------------------------- *)

( IN-PACKAGE :FACE-ELEMENTS )
( USE-PACKAGE :OLI )

( PRINT "... skchcust.* is loading ! " )

;---------------------------------------------------
; globale Variable vorbelegen
;---------------------------------------------------

( DEFVAR *skch_master_tree_name* "TDWsoft" )

;---------------------------------------------------
; Definition globaler Pfad-Variablen
;---------------------------------------------------

( DEFCONSTANT *tdwsoft_skch_path* ( SD-CONVERT-FILENAME-TO-PLATFORM ( FORMAT NIL "~A\\apps\\skch\\" ( OLI::SD-SYS-GETENV "FACE-ELEMENTS_PATH" ))))

( DEFVAR *skch_settings* NIL )

;---------------------------------------------------
; Laden der Annotation - Lisp - Dateien
;---------------------------------------------------

( Tdwsoft-unitfile-universal-load *tdwsoft_skch_path* "skchmain" )
( Tdwsoft-unitfile-universal-load *tdwsoft_skch_path* "skchdialog" )
( Tdwsoft-unitfile-universal-load *tdwsoft_skch_path* "skchscale" )

( LOAD ( FORMAT NIL "~Askchconf.lsp"   *tdwsoft_skch_path* ))

;------------------------------------------------------------------------------------------------
; Laden firmenspezifischer Anpassungen

( Tdwsoft-unitfile-universal-conf-load "skch" )

( Tdwsoft-unitfile-universal-load *tdwsoft_skch_path* "skchcmd" )
( Tdwsoft-unitfile-universal-load *tdwsoft_skch_path* "skchmenu" )

;------------------------------------------------------------------------------------------------
; Laden der Annotation - Makro - Dateien
;------------------------------------------------------------------------------------------------

( Tdwsoft-unitfile-anno-macro-load *tdwsoft_skch_path* "skchmain" )

;---------------------------------------------------
; Programmstart
;---------------------------------------------------

( skch-main-start )
