;* ---------------------------------------------------------------------- *)
;*                _____ ______        __          __ _                    *)
;*               |_   _|  _ \ \      / /__  ___  / _| |_                  *)
;*                 | | | | | \ \ /\ / / __|/ _ \| |_| __|                 *)
;*                 | | | |_| |\ V  V /\__ \ (_) |  _| |_                  *)
;*                 |_| |____/  \_/\_/ |___/\___/|_|  \__|                 *)
;*                 GmbH                  www.tdwsoft.com                  *)
;* ---------------------------------------------------------------------- *)
;*                            TDWsoft GmbH                                *)
;*                   IT-Dienstleistung und Software                       *)
;* ---------------------------------------------------------------------- *)
;*                        F A C E  E L E M E N T S                        *)
;* ---------------------------------------------------------------------- *)
;*                          CONTACT ADDRESS                               *)
;*                                                                        *)
;* TDWsoft GmbH                   Tel <Zentrale>: +49 (0)721 2045560      *)
;* Jahnstrae 9                   Fax <Zentrale>: +49 (0)721 2045559      *)
;* D-76689 Karlsdorf-Neuthard     Internet: www.tdwsoft.com               *)
;*                                eMail: info@tdwsoft.de                  *)
;* ---------------------------------------------------------------------- *)

( IN-PACKAGE :FACE-ELEMENTS )

; Laden der Werkstueckkante

( Tdwsoft-load-app "wsk" )

; Laden der Passsungstabelle

( Tdwsoft-load-app "pass" )

; Laden des Skizzentools

( Tdwsoft-load-app "skch" )

( OLI::SD-REGISTER-SETTINGS "AMFACEELEMENTSSETTINGS"
	:SUBMENUTITLE "FACE-Elements [Annotation]"
	:SETTINGS
	( LIST
	   ( LIST
	   :APPLICATION "SolidDesigner"
	   :GROUP "FACE-Elements"
	   :CMD ( FORMAT NIL "~A [PASS]" ( tdwsoft-read-text 37 "Passungstabelle Vorgaben" "face-pass-message-table" ))
	   :ITEMNAME ( FORMAT NIL "~A [PASS]" ( tdwsoft-read-text 37 "Passungstabelle Vorgaben" "face-pass-message-table" ))
	  )	
	)
)

; eof