;* ---------------------------------------------------------------------- *)
;*                _____ ______        __          __ _                    *)
;*               |_   _|  _ \ \      / /__  ___  / _| |_                  *)
;*                 | | | | | \ \ /\ / / __|/ _ \| |_| __|                 *)
;*                 | | | |_| |\ V  V /\__ \ (_) |  _| |_                  *)
;*                 |_| |____/  \_/\_/ |___/\___/|_|  \__|                 *)
;*                 GmbH                  www.tdwsoft.com                  *)
;* ---------------------------------------------------------------------- *)
;*                            TDWsoft GmbH                                *)
;*                   IT-Dienstleistung und Software                       *)
;* ---------------------------------------------------------------------- *)
;*                        F A C E  E L E M E N T S                        *)
;* ---------------------------------------------------------------------- *)
;*                          CONTACT ADDRESS                               *)
;*                                                                        *)
;* TDWsoft GmbH                   Tel <Zentrale>: +49 (0)721 2045560      *)
;* Jahnstrae 9                   Fax <Zentrale>: +49 (0)721 2045559      *)
;* D-76689 Karlsdorf-Neuthard     Internet: www.tdwsoft.com               *)
;*                                eMail: info@tdwsoft.de                  *)
;* ---------------------------------------------------------------------- *)

( IN-PACKAGE :FACE-ELEMENTS )
( USE-PACKAGE :OLI )

( PRINT "... skchconf.* is loading ! " )

( SETF *skch_settings* ( LIST

         ; :CONF -> Benennung der Konfiguration
         ; :GERMAN  -> deutscher Menue-Anzeigetext der Konfiguration
         ; :ENGLISH -> englischer Menue-Anzeigetext der Konfiguration

        '( :CONF "Montage"         :GERMAN "Montage"            :ENGLISH "Construction" )        ; 1. Konfiguration
        '( :CONF "Extern"          :GERMAN "Fertigung extern"   :ENGLISH "Production ext" )  ; 2. Konfiguration		
        '( :CONF "Fertigung"       :GERMAN "Fertigung"          :ENGLISH "Production" )      ; 3. Konfiguration
        '( :CONF "Verfahren"       :GERMAN "Verfahren"          :ENGLISH "Process" )      ; 4. Konfiguration

         ; Es sind maximal 4 Konfiguration moeglich
         ; mindestens 1 Konfiguration muss vorhanden sein.
         ; Eine Konfiguration wird durch das Kommentarisieren einer Zeile aus dem Menue entfernt
         ; Durch das Entfernen des Kommentarkenners wird eine Konfiguration dem Menue hinzugefuegt

        )
)

; Name des Skizzenordners in der Vorlagenliste

( SETF *skch_sketch_tree_dirname* "TDWsoft-Skizzen" ) 