;* ---------------------------------------------------------------------- *)
;*                _____ ______        __          __ _                    *)
;*               |_   _|  _ \ \      / /__  ___  / _| |_                  *)
;*                 | | | | | \ \ /\ / / __|/ _ \| |_| __|                 *)
;*                 | | | |_| |\ V  V /\__ \ (_) |  _| |_                  *)
;*                 |_| |____/  \_/\_/ |___/\___/|_|  \__|                 *)
;*                 GmbH                  www.tdwsoft.com                  *)
;* ---------------------------------------------------------------------- *)
;*                            TDWsoft GmbH                                *)
;*                   IT-Dienstleistung und Software                       *)
;* ---------------------------------------------------------------------- *)
;*                        F A C E  E L E M E N T S                        *)
;* ---------------------------------------------------------------------- *)
;*                          CONTACT ADDRESS                               *)
;*                                                                        *)
;* TDWsoft GmbH                   Tel <Zentrale>: +49 (0)721 2045560      *)
;* Jahnstrae 9                   Fax <Zentrale>: +49 (0)721 2045559      *)
;* D-76689 Karlsdorf-Neuthard     Internet: www.tdwsoft.com               *)
;*                                eMail: info@tdwsoft.de                  *)
;* ---------------------------------------------------------------------- *)

( PRINT "Face Elements Annotation FUI is loading." )

    ; Ribbon-Tab fuer FACE-Elements

        ( when ( OLI::SD-SYS-GETENV "FACE-ELEMENTS_TAB2D" )

            ( when ( oli::sd-string= ( OLI::SD-SYS-GETENV "FACE-ELEMENTS_TAB2D" ) "1" )
    
                ( oli::sd-fluentui-add-ribbon-tab "AMFACEELEMENTS"
                      :annotationRibbon t
                      :application "Annotation"
                      :title "FACE-Elements"
                )

                ( oli::sd-fluentui-add-ribbon-group "AMFACETDWSOFT"
                                              :parent "AMFACEELEMENTS"
                                              :annotationRibbon T
                                              :title ( OLI::SD-MULTI-LANG-STRING "TDWsoft" :GERMAN "TDWsoft" )
                                              :slot 100
                )

                ( oli::sd-fluentui-add-ribbon-button
                  :annotationRibbon T
                  :parent '( "AMFACEELEMENTS" "AMFACETDWSOFT" )
                  :LABEL ( oli::sd-multi-lang-string "Help" :german "Hilfe" )
                  :availCmd ( LIST "All" "FACE-Elements" ( FORMAT NIL "FACE-Elements ~A" ( oli::sd-multi-lang-string "Help" :german "Hilfe" )))
                )

                ( FACE-ELEMENTS::face-elements-show-am-ribbon-tab )

            )
        )