;* ---------------------------------------------------------------------- *)
;*                _____ ______        __          __ _                    *)
;*               |_   _|  _ \ \      / /__  ___  / _| |_                  *)
;*                 | | | | | \ \ /\ / / __|/ _ \| |_| __|                 *)
;*                 | | | |_| |\ V  V /\__ \ (_) |  _| |_                  *)
;*                 |_| |____/  \_/\_/ |___/\___/|_|  \__|                 *)
;*                 GmbH                  www.tdwsoft.com                  *)
;* ---------------------------------------------------------------------- *)
;*                            TDWsoft GmbH                                *)
;*                   IT-Dienstleistung und Software                       *)
;* ---------------------------------------------------------------------- *)
;*                        F A C E  E L E M E N T S                        *)
;* ---------------------------------------------------------------------- *)
;*                          CONTACT ADDRESS                               *)
;*                                                                        *)
;* TDWsoft GmbH                   Tel <Zentrale>: +49 (0)721 2045560      *)
;* Jahnstrae 9                   Fax <Zentrale>: +49 (0)721 2045559      *)
;* D-76689 Karlsdorf-Neuthard     Internet: www.tdwsoft.com               *)
;*                                eMail: info@tdwsoft.de                  *)
;* ---------------------------------------------------------------------- *)

( IN-PACKAGE :FACE-ELEMENTS )

; Laden der Standardtexte

( Tdwsoft-load-app "ling" "3DDOCU" )

; Laden des Positioniermodules

( Tdwsoft-load-app "pos" )

;Laden des Checkmoduls

( Tdwsoft-load-app "chck" "3DDOCU" )

; Vorgaben der einzelnen Module

( OLI::SD-REGISTER-SETTINGS "DMFACEELEMENTSSETTINGS"
    :SUBMENUTITLE "FACE-Elements"
    :SETTINGS
    ( LIST
       ( LIST
           :APPLICATION "SolidDesigner"
           :GROUP "FACE-Elements"
           :CMD ( FORMAT NIL "~A [POS]" ( FACE-ELEMENTS::tdwsoft-read-text 153 "Vorgaben" "face-pos-message-table" ))
           :ITEMNAME ( FORMAT NIL "~A [POS]" ( FACE-ELEMENTS::tdwsoft-read-text 153 "Vorgaben" "face-pos-message-table" ))
      )
       ( LIST
           :APPLICATION "SolidDesigner"
           :GROUP "FACE-Elements"
           :CMD ( FORMAT NIL "~A [LINGUA]" ( FACE-ELEMENTS::tdwsoft-read-text 4 "Text Vorgaben" "face-ling-message-table" ))
           :ITEMNAME ( FORMAT NIL "~A [LINGUA]" ( FACE-ELEMENTS::tdwsoft-read-text 4 "LINGUA Text Vorgaben" "face-ling-message-table" ))
      )
    )
)


; eof